Bug 496315 - OO crash when trying to sign document or macro with digital signature.
OO crash when trying to sign document or macro with digital signature.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-17 14:44 EDT by Albert Bartoszko
Modified: 2009-05-15 19:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.0.1-15.4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-15 19:32:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 67658 None None None Never
OpenOffice.org 73651 None None None Never

  None (edit)
Description Albert Bartoszko 2009-04-17 14:44:32 EDT
Description of problem:
Writer, Calc, Draw and Impress crashes when attempting to sign a document with a digital certificate.


Version-Release number of selected component (if applicable):
openoffice.org-core-3.0.1-15.3.fc10

How reproducible:
Always


Steps to Reproduce:
1. Run i.e. Calc
Open menu File->Digital Signatures->
2.Write file
2.Add signature
3.Select certificate and then OK.
4. Close program.
  
Actual results:
Crash.

Expected results:
Close application.

Additional info:
Used certificates work OK with OO for Windows.

From crashed application:

(I)    x.org loaded video driver of...
(WW) AllowEmptyInput is on, devices using drivers 'kbd' or 'mouse' will be disabled.
(II) Loading /usr/lib/xorg/modules/drivers//ati_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//radeon_drv.so
(--) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: pakiet openoffice.org-kde nie jest zainstalowany
(V)    libgcj version is: libgcj-4.3.2-7-i386
(VI)   kernel is: Linux 2.6.27.21-170.2.56.fc10.i686 #1 SMP Mon Mar 23 23:37:54 EDT 2009 i686 i686 i386
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-3.0.1-15.3.fc10-i386
(VIII) accessibility is: false
(IX)   fedora release is: Fedora release 10 (Cambridge)
(X)    LANG is: pl_PL.UTF-8
...start free space details ...
System plików      bl.  1K B        użyte dostępne %uż. zamont. na
/dev/mapper/VolGroup00-LogVol00
                      31043440  28369268   1075196  97% /
/dev/mapper/VolGroup00-LogVol00
                      31043440  28369268   1075196  97% /
...end free space details ...
...start (default) java details ...
java version "1.6.0_0"
IcedTea6 1.4 (fedora-15.b14.fc10-i386) Runtime Environment (build 1.6.0_0-b14)
OpenJDK Client VM (build 14.0-b08, mixed mode)
...end (default) java details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 23
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x4ab36c4: 0x1b4a40: /usr/lib/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x256c4
0x4ab3fff: 0x1b4a40: /usr/lib/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x25fff
0xb55400: 0x0:  + 0x400 (__kernel_sigreturn + 0x0)
0x284e28: 0x16fd7c: /lib/libc.so.6 + 0x2ce28 (abort + 0x188)
0x9b0c48: 0xe9fd8: /usr/lib/libstdc++.so.6 + 0xbcc48 (__gnu_cxx::__verbose_terminate_handler() + 0x158)
0x9aeb35: 0xe9fd8: /usr/lib/libstdc++.so.6 + 0xbab35
0x9aeb72: 0xe9fd8: /usr/lib/libstdc++.so.6 + 0xbab72
0x9aecaa: 0xe9fd8: /usr/lib/libstdc++.so.6 + 0xbacaa
0x16e37bf: 0x509c4: /usr/lib/openoffice.org3/program/../basis-link/program/libxstor.so + 0x327bf (OStorage::dispose() + 0x59)
0x2457852: 0x2e5638: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x122852 (SfxObjectShell::~SfxObjectShell() + 0x1e8)
0x6181f2a: 0x8e2a10: /usr/lib/openoffice.org3/program/../basis-link/program/libswli.so + 0x653f2a (SwDocShell::~SwDocShell() + 0x150)
0x15b142: 0x7f950: /usr/lib/openoffice.org3/program/../basis-link/program/libtlli.so + 0x5a142 (SvRefBase::QueryDelete() + 0x16)
0x1f2571: 0x4b8ec: /usr/lib/openoffice.org3/program/../basis-link/program/libsotli.so + 0x11571 (SotObject::QueryDelete() + 0x31)
0x23e4910: 0x2e5638: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0xaf910
0x24e395d: 0x2e5638: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x1ae95d
0x24e8e85: 0x2e5638: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x1b3e85 (SfxTopViewFrame::~SfxTopViewFrame() + 0x53)
0x24e9263: 0x2e5638: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x1b4263 (SfxTopViewFrame::Close() + 0x4f)
0x24d3880: 0x2e5638: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x19e880
0x24eeb4f: 0x2e5638: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x1b9b4f (SfxBaseController::dispose() + 0x3c9)
0x18cc2f1: 0x1e5a44: /usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x8b2f1
0x18ca8b6: 0x1e5a44: /usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x898b6
0x18ac202: 0x1e5a44: /usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x6b202
0x18ac83b: 0x1e5a44: /usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x6b83b
0x18a24fd: 0x1e5a44: /usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x614fd
0x18a30aa: 0x1e5a44: /usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x620aa
0x18a335d: 0x1e5a44: /usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x6235d
0x7d0ec34: 0x2ec38c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x265c34
0x7cbc88b: 0x2ec38c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x21388b
0xeb14c4: 0x656f4: /usr/lib/openoffice.org/basis3.0/program/libvclplug_genli.so + 0x464c4 (SalDisplay::DispatchInternalEvent() + 0x96)
0xdf517c: 0x41968: /usr/lib/openoffice.org/basis3.0/program/libvclplug_gtkli.so + 0x1217c
0x467301: 0xe2108: /lib/libglib-2.0.so.0 + 0x35301
0x469238: 0xe2108: /lib/libglib-2.0.so.0 + 0x37238 (g_main_context_dispatch + 0x1e8)
0x46c8e3: 0xe2108: /lib/libglib-2.0.so.0 + 0x3a8e3
0x46caa1: 0xe2108: /lib/libglib-2.0.so.0 + 0x3aaa1 (g_main_context_iteration + 0x71)
0xdf5234: 0x41968: /usr/lib/openoffice.org/basis3.0/program/libvclplug_gtkli.so + 0x12234
0xeb7cdd: 0x656f4: /usr/lib/openoffice.org/basis3.0/program/libvclplug_genli.so + 0x4ccdd (X11SalInstance::Yield(bool, bool) + 0x2f)
0x7b459e1: 0x2ec38c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x9c9e1 (Application::Yield(bool) + 0x57)
0x7b45a2f: 0x2ec38c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x9ca2f (Application::Execute() + 0x2b)
0x7ef6772: 0x51974: /usr/lib/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x1e772
0x7b4901b: 0x2ec38c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0xa001b
0x7b491b7: 0x2ec38c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0xa01b7 (SVMain() + 0x2c)
0x7f166f8: 0x51974: /usr/lib/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x3e6f8 (soffice_main + 0xd0)
0x80487c4: 0xccc: /usr/lib/openoffice.org3/program/swriter.bin + 0x7c4 (main + 0x20)
0x26e6e5: 0x16fd7c: /lib/libc.so.6 + 0x166e5 (__libc_start_main + 0xe5)
0x8048711: 0xccc: /usr/lib/openoffice.org3/program/swriter.bin + 0x711
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00c0e000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb7c6f000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00f2d000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x003fc000)
	libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0x00633000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00113000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x006e9000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x0096e000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x0013d000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x005c5000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb7bda000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x001b5000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x00316000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x00373000)
	librt.so.1 => /lib/librt.so.1 (0x00544000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00c88000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00a90000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x001e4000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0xb7af6000)
	libvclplug_genli.so => /usr/lib/openoffice.org/basis3.0/program/libvclplug_genli.so (0x00878000)
	libvclli.so => /usr/lib/openoffice.org/basis3.0/program/libvclli.so (0xb7801000)
	libpspli.so => /usr/lib/openoffice.org/basis3.0/program/libpspli.so (0xb7738000)
	libsotli.so => /usr/lib/openoffice.org/basis3.0/program/libsotli.so (0x00b7a000)
	libutlli.so => /usr/lib/openoffice.org/basis3.0/program/libutlli.so (0xb76c9000)
	libtlli.so => /usr/lib/openoffice.org/basis3.0/program/libtlli.so (0xb7647000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libcomphelp4gcc3.so (0x00e0c000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libucbhelper4gcc3.so (0x00256000)
	libuno_cppuhelpergcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 (0xb75ce000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppu.so.3 (0xb75a1000)
	libvos3gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libvos3gcc3.so (0x009f4000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_sal.so.3 (0xb73e5000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x00225000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0xb72e4000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x0097b000)
	libdl.so.2 => /lib/libdl.so.2 (0x0022c000)
	libpthread.so.0 => /lib/libpthread.so.0 (0xb72ca000)
	libstlport_gcc.so => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libstlport_gcc.so (0xb71ff000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb710d000)
	libm.so.6 => /lib/libm.so.6 (0xb70e4000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x0080f000)
	libc.so.6 => /lib/libc.so.6 (0xb6f70000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x00f2a000)
	libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0x00110000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb6f6a000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x00b0c000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00481000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x002b0000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0xb6f60000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x00fcb000)
	libselinux.so.1 => /lib/libselinux.so.1 (0xb6f43000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x0056c000)
	libz.so.1 => /lib/libz.so.1 (0xb6f2e000)
	libexpat.so.1 => /lib/libexpat.so.1 (0xb6f07000)
	/lib/ld-linux.so.2 (0x00233000)
	libnsl.so.1 => /lib/libnsl.so.1 (0xb6eed000)
	libcap.so.2 => /lib/libcap.so.2 (0xb6ee8000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0xb6ee0000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0xb6ec5000)
	libi18nisolang1gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libi18nisolang1gcc3.so (0x00611000)
	libbasegfxli.so => /usr/lib/openoffice.org/basis3.0/program/libbasegfxli.so (0x0072e000)
	libicuuc.so.40 => /usr/lib/libicuuc.so.40 (0xb6d87000)
	libicule.so.40 => /usr/lib/libicule.so.40 (0x009bd000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libjvmaccessgcc3.so.3 (0x00805000)
	libuno_salhelpergcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_salhelpergcc3.so.3 (0x00517000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0xb6d53000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x00323000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x00db3000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x00a57000)
	libuuid.so.1 => /lib/libuuid.so.1 (0x00ada000)
	libicudata.so.40 => /usr/lib/libicudata.so.40 (0xb600c000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00be0000)
...end sample ldd details ...
Comment 1 Caolan McNamara 2009-04-18 12:38:16 EDT
Indeed it does, though not in 3.1.
Comment 2 Caolan McNamara 2009-04-21 04:08:51 EDT
Some sort of problem with the lang::DisposedException, either a problem with mixed exception/non-exception code or some symbol visibility. Working in 3.1 in F-11, so a cheap-fix added for 3.0.1 in F-10. Will be in >= 3.0.1-15.4 if we choose to do another F-10 update
Comment 3 Fedora Update System 2009-05-05 07:23:31 EDT
openoffice.org-3.0.1-15.4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/openoffice.org-3.0.1-15.4.fc10
Comment 4 Fedora Update System 2009-05-06 19:28:50 EDT
openoffice.org-3.0.1-15.4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4273
Comment 5 Fedora Update System 2009-05-15 19:32:15 EDT
openoffice.org-3.0.1-15.4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.